注册会员
×

已有账号? 请点击

使用其他方式登录

微信小程序标准版交易组件报错:version:latest,插频本不存在

发布2024-01-30 浏览39次

详情内容

今天有做一个微信小程序标准版交易组件报错:version:latest,插频本不存在the version of the app/plugin is not exist,找了半天没发现问题,最后是因为appid填错了,代码里provider是要必须填标准版交易组件appid,而不是小程序的appid。

 app.json 文件代码:注意providerwx34345ae5855f892dwx是固定的不能修改的。

文档:https://developers.weixin.qq.com/doc/ministore/minishopopencomponent/guideline.html

"plugins": {
    "mini-shop-plugin": {
      "version": "latest",
      "provider": "wx34345ae5855f892d"    }
  }

启动时跳到微信小店首页app.js:

// app.jsconst miniShopPlugin = requirePlugin('mini-shop-plugin');

App({
  onLaunch() {
    miniShopPlugin.initApp(this, wx);
    wx.navigateTo({
      url: `plugin-private://wx34345ae5855f892d/pages/home/home`,    });
  },
});


准版交易组件appid在这里找,打开小程序后台找到-设置,点击插件管理中的添加插件


点击QQ咨询
开通会员
返回顶部
×
  • 微信支付
  • 支付宝付款
微信扫码支付
微信扫码支付
请使用微信描二维码支付
×

提示信息

×

选择支付方式

  • 微信支付
  • 支付宝付款
确定支付下载